Changeset 93 for ThirdParty/HSL


Ignore:
Timestamp:
Jul 10, 2006 2:48:31 PM (15 years ago)
Author:
andreasw
Message:

updated according to changes in BuildTools?

Location:
ThirdParty/HSL/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/Makefile.in

    r78 r93  
    120120CCDEPMODE = @CCDEPMODE@
    121121CFLAGS = @CFLAGS@
    122 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    123 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    124122COIN_HAS_MA27_FALSE = @COIN_HAS_MA27_FALSE@
    125123COIN_HAS_MA27_TRUE = @COIN_HAS_MA27_TRUE@
     
    135133CXXFLAGS = @CXXFLAGS@
    136134CYGPATH_W = @CYGPATH_W@
     135DBG_FFLAGS = @DBG_FFLAGS@
    137136DEFS = @DEFS@
    138137DEPDIR = @DEPDIR@
     
    167166MPIF77 = @MPIF77@
    168167OBJEXT = @OBJEXT@
     168OPT_FFLAGS = @OPT_FFLAGS@
    169169PACKAGE = @PACKAGE@
    170170PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  • ThirdParty/HSL/trunk/configure

    r84 r93  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    914914ac_cv_env_target_alias_set=${target_alias+set}
    915915ac_cv_env_target_alias_value=$target_alias
     916ac_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
     917ac_env_ADD_FFLAGS_value=$ADD_FFLAGS
     918ac_cv_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
     919ac_cv_env_ADD_FFLAGS_value=$ADD_FFLAGS
     920ac_env_DBG_FFLAGS_set=${DBG_FFLAGS+set}
     921ac_env_DBG_FFLAGS_value=$DBG_FFLAGS
     922ac_cv_env_DBG_FFLAGS_set=${DBG_FFLAGS+set}
     923ac_cv_env_DBG_FFLAGS_value=$DBG_FFLAGS
     924ac_env_OPT_FFLAGS_set=${OPT_FFLAGS+set}
     925ac_env_OPT_FFLAGS_value=$OPT_FFLAGS
     926ac_cv_env_OPT_FFLAGS_set=${OPT_FFLAGS+set}
     927ac_cv_env_OPT_FFLAGS_value=$OPT_FFLAGS
    916928ac_env_F77_set=${F77+set}
    917929ac_env_F77_value=$F77
     
    926938ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
    927939ac_cv_env_LDFLAGS_value=$LDFLAGS
    928 ac_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
    929 ac_env_ADD_FFLAGS_value=$ADD_FFLAGS
    930 ac_cv_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
    931 ac_cv_env_ADD_FFLAGS_value=$ADD_FFLAGS
    932940ac_env_MPIF77_set=${MPIF77+set}
    933941ac_env_MPIF77_value=$MPIF77
     
    10431051  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10441052  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1045   --enable-debug          compile with debug options and runtime tests
     1053  --enable-debug          compile all projects with debug options tests
     1054  --enable-debug-hsl compile this project (HSL) with debug options
    10461055  --enable-static[=PKGS]
    10471056                          build static libraries [default=no]
     
    10591068  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10601069  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     1070  --with-hsl-verbosity specify the debug verbosity level for project HSL
     1071  --with-hsl-checklevel specify the sanity check level for project HSL
    10611072  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10621073  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    10661077
    10671078Some influential environment variables:
     1079  ADD_FFLAGS  Additional Fortran compiler options
     1080  DBG_FFLAGS  Debug Fortran compiler options
     1081  OPT_FFLAGS  Optimize Fortran compiler options
    10681082  F77         Fortran 77 compiler command
    10691083  FFLAGS      Fortran 77 compiler flags
    10701084  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
    10711085              nonstandard directory <lib dir>
    1072   ADD_FFLAGS  Additional Fortran compiler options
    10731086  MPIF77      Fortran MPI Compiler
    10741087  CC          C compiler command
     
    16481661  enableval="$enable_debug"
    16491662  case "${enableval}" in
    1650                    yes) coin_debug_compile=true
    1651 
    1652 cat >>confdefs.h <<\_ACEOF
    1653 #define COIN_DEBUG 1
    1654 _ACEOF
    1655 
    1656                      enable_shared=no
    1657                      ;;
    1658                    no)  coin_debug_compile=false
    1659                      ;;
    1660                     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1663   yes) coin_debug_compile=true
     1664        enable_shared=no
     1665        ;;
     1666   no)  coin_debug_compile=false
     1667        ;;
     1668   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    16611669echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    16621670   { (exit 1); exit 1; }; }
    1663                      ;;
    1664                  esac
     1671        ;;
     1672esac
    16651673else
    16661674  coin_debug_compile=false
    16671675fi;
     1676
     1677# Check whether --enable-debug-hsl or --disable-debug-hsl was given.
     1678if test "${enable_debug_hsl+set}" = set; then
     1679  enableval="$enable_debug_hsl"
     1680  case "${enableval}" in
     1681    yes) coin_debug_compile=true
     1682         enable_shared=no
     1683         ;;
     1684    no)  coin_debug_compile=false
     1685         ;;
     1686    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-hsl" >&5
     1687echo "$as_me: error: bad value ${enableval} for --enable-debug-hsl" >&2;}
     1688   { (exit 1); exit 1; }; }
     1689         ;;
     1690 esac
     1691else
     1692  :
     1693fi;
     1694
     1695 # m4_ifvaln([HSL],
    16681696
    16691697if test $coin_debug_compile = true; then
     
    16761704
    16771705
    1678 
    1679 if test "$coin_debug_compile" = true; then
    1680   COIN_DEBUG_TRUE=
    1681   COIN_DEBUG_FALSE='#'
    1682 else
    1683   COIN_DEBUG_TRUE='#'
    1684   COIN_DEBUG_FALSE=
    1685 fi
     1706# Check whether --with-hsl-verbosity or --without-hsl-verbosity was given.
     1707if test "${with_hsl_verbosity+set}" = set; then
     1708  withval="$with_hsl_verbosity"
     1709  coin_hsl_verbosity=$withval
     1710else
     1711  coin_hsl_verbosity=0
     1712fi;
     1713
     1714cat >>confdefs.h <<_ACEOF
     1715#define COIN_HSL_VERBOSITY $coin_hsl_verbosity
     1716_ACEOF
     1717
     1718
     1719
     1720# Check whether --with-hsl-checklevel or --without-hsl-checklevel was given.
     1721if test "${with_hsl_checklevel+set}" = set; then
     1722  withval="$with_hsl_checklevel"
     1723  coin_hsl_checklevel=$withval
     1724else
     1725  coin_hsl_checklevel=0
     1726fi;
     1727
     1728cat >>confdefs.h <<_ACEOF
     1729#define COIN_HSL_CHECKLEVEL $coin_hsl_checklevel
     1730_ACEOF
     1731
     1732
     1733# We use the following variable to have a string with the upper case
     1734# version of the project name
     1735COIN_PRJCT=HSL
     1736
     1737
     1738 # m4_ifvaln([HSL],
    16861739
    16871740
     
    17041757
    17051758
     1759
     1760
     1761
     1762
    17061763coin_has_f77=yes
    17071764
     
    17091766case $build in
    17101767  *-cygwin* | *-mingw*)
    1711              comps="gfortran g77 ifort" ;;
    1712   *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc" ;;
     1768             comps="gfortran g77 ifort fl32" ;;
     1769  *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    17131770esac
    17141771
    17151772# We delete the cached value, since the test might not have been
    17161773# performed with out choise of compilers earlier
    1717 ac_cv_prog_F77=
     1774$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    17181775ac_ext=f
    17191776ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    18081865
    18091866# Provide some information about the compiler.
    1810 echo "$as_me:1810:" \
     1867echo "$as_me:1867:" \
    18111868     "checking for Fortran 77 compiler version" >&5
    18121869ac_compiler=`set X $ac_compile; echo $2`
     
    21342191FFLAGS="$save_fflags"
    21352192
    2136 echo "$as_me:$LINENO: checking for Fortran compiler options" >&5
    2137 echo $ECHO_N "checking for Fortran compiler options... $ECHO_C" >&6
    2138 if test "${coin_cv_fflags+set}" = set; then
    2139   echo $ECHO_N "(cached) $ECHO_C" >&6
    2140 else
    2141   if test x"$FFLAGS" = x; then
     2193# Check if a project specific FFLAGS variable has been set
     2194if test x$COIN_PRJCT != x; then
     2195  eval coin_tmp=\${${COIN_PRJCT}_FFLAGS+set}
     2196  if test x$coin_tmp = xset; then
     2197    eval FFLAGS=\${${COIN_PRJCT}_FFLAGS}
     2198  fi
     2199fi
     2200
     2201if test x"$FFLAGS" = x; then
    21422202
    21432203  coin_add_fflags=
     
    22832343  fi
    22842344
    2285   if test "$coin_debug_compile" = true; then
    2286     FFLAGS="$coin_dbg_fflags $coin_add_fflags $coin_warn_fflags"
    2287   else
    2288     if test -z "$coin_opt_fflags"; then
    2289       # Try if -O option works if nothing else is set
    2290       FFLAGS=-O
    2291       cat >conftest.$ac_ext <<_ACEOF
     2345  if test -z "$coin_opt_fflags"; then
     2346    # Try if -O option works if nothing else is set
     2347    FFLAGS=-O
     2348    cat >conftest.$ac_ext <<_ACEOF
    22922349      program main
    22932350      integer i
     
    23242381rm -f conftest.err conftest.$ac_objext \
    23252382      conftest$ac_exeext conftest.$ac_ext
    2326     fi
    2327     FFLAGS="$coin_opt_fflags $coin_add_fflags $coin_warn_fflags"
    23282383  fi
    2329 fi
    2330 
    2331 # Check if user wants to have additional FFLAGS options
    2332 
    2333 if test x"$ADD_FFLAGS" != x; then
     2384
     2385  if test x${DBG_FFLAGS+set} != xset; then
     2386    DBG_FFLAGS="$coin_dbg_fflags $coin_add_fflags $coin_warn_fflags"
     2387  fi
     2388  if test x${OPT_FFLAGS+set} != xset; then
     2389    OPT_FFLAGS="$coin_opt_fflags $coin_add_fflags -DNDEBUG $coin_warn_fflags"
     2390  fi
     2391
     2392  DBG_FFLAGS="$DBG_FFLAGS $ADD_FFLAGS"
     2393  OPT_FFLAGS="$OPT_FFLAGS $ADD_FFLAGS"
     2394
     2395  if test "$coin_debug_compile" = "true"; then
     2396    FFLAGS="$DBG_FFLAGS"
     2397  else
     2398    FFLAGS="$OPT_FFLAGS"
     2399  fi
     2400else
    23342401  FFLAGS="$FFLAGS $ADD_FFLAGS"
     2402  if test x${DBG_FFLAGS+set} != xset; then
     2403    DBG_FFLAGS="$FFLAGS"
     2404  fi
     2405  if test x${OPT_FFLAGS+set} != xset; then
     2406    OPT_FFLAGS="$FFLAGS"
     2407  fi
    23352408fi
    23362409
     
    24172490  fi
    24182491fi
    2419 coin_cv_fflags="$FFLAGS"
    2420 
    2421 fi
    2422 echo "$as_me:$LINENO: result: $coin_cv_fflags" >&5
    2423 echo "${ECHO_T}$coin_cv_fflags" >&6 # AC_CACHE_CHECK([for Fortran compiler options FFLAGS]
    2424 FFLAGS="$coin_cv_fflags"
     2492
     2493{ echo "$as_me:$LINENO: Fortran compiler options are: $FFLAGS" >&5
     2494echo "$as_me: Fortran compiler options are: $FFLAGS" >&6;}
    24252495
    24262496
     
    43164386*-*-irix6*)
    43174387  # Find out which ABI we are using.
    4318   echo '#line 4318 "configure"' > conftest.$ac_ext
     4388  echo '#line 4388 "configure"' > conftest.$ac_ext
    43194389  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    43204390  (eval $ac_compile) 2>&5
     
    67456815   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    67466816   -e 's:$: $lt_compiler_flag:'`
    6747    (eval echo "\"\$as_me:6747: $lt_compile\"" >&5)
     6817   (eval echo "\"\$as_me:6817: $lt_compile\"" >&5)
    67486818   (eval "$lt_compile" 2>conftest.err)
    67496819   ac_status=$?
    67506820   cat conftest.err >&5
    6751    echo "$as_me:6751: \$? = $ac_status" >&5
     6821   echo "$as_me:6821: \$? = $ac_status" >&5
    67526822   if (exit $ac_status) && test -s "$ac_outfile"; then
    67536823     # The compiler can only warn and ignore the option if not recognized
     
    70137083   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70147084   -e 's:$: $lt_compiler_flag:'`
    7015    (eval echo "\"\$as_me:7015: $lt_compile\"" >&5)
     7085   (eval echo "\"\$as_me:7085: $lt_compile\"" >&5)
    70167086   (eval "$lt_compile" 2>conftest.err)
    70177087   ac_status=$?
    70187088   cat conftest.err >&5
    7019    echo "$as_me:7019: \$? = $ac_status" >&5
     7089   echo "$as_me:7089: \$? = $ac_status" >&5
    70207090   if (exit $ac_status) && test -s "$ac_outfile"; then
    70217091     # The compiler can only warn and ignore the option if not recognized
     
    71177187   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71187188   -e 's:$: $lt_compiler_flag:'`
    7119    (eval echo "\"\$as_me:7119: $lt_compile\"" >&5)
     7189   (eval echo "\"\$as_me:7189: $lt_compile\"" >&5)
    71207190   (eval "$lt_compile" 2>out/conftest.err)
    71217191   ac_status=$?
    71227192   cat out/conftest.err >&5
    7123    echo "$as_me:7123: \$? = $ac_status" >&5
     7193   echo "$as_me:7193: \$? = $ac_status" >&5
    71247194   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    71257195   then
     
    94629532  lt_status=$lt_dlunknown
    94639533  cat > conftest.$ac_ext <<EOF
    9464 #line 9464 "configure"
     9534#line 9534 "configure"
    94659535#include "confdefs.h"
    94669536
     
    95629632  lt_status=$lt_dlunknown
    95639633  cat > conftest.$ac_ext <<EOF
    9564 #line 9564 "configure"
     9634#line 9634 "configure"
    95659635#include "confdefs.h"
    95669636
     
    1190611976   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1190711977   -e 's:$: $lt_compiler_flag:'`
    11908    (eval echo "\"\$as_me:11908: $lt_compile\"" >&5)
     11978   (eval echo "\"\$as_me:11978: $lt_compile\"" >&5)
    1190911979   (eval "$lt_compile" 2>conftest.err)
    1191011980   ac_status=$?
    1191111981   cat conftest.err >&5
    11912    echo "$as_me:11912: \$? = $ac_status" >&5
     11982   echo "$as_me:11982: \$? = $ac_status" >&5
    1191311983   if (exit $ac_status) && test -s "$ac_outfile"; then
    1191411984     # The compiler can only warn and ignore the option if not recognized
     
    1201012080   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1201112081   -e 's:$: $lt_compiler_flag:'`
    12012    (eval echo "\"\$as_me:12012: $lt_compile\"" >&5)
     12082   (eval echo "\"\$as_me:12082: $lt_compile\"" >&5)
    1201312083   (eval "$lt_compile" 2>out/conftest.err)
    1201412084   ac_status=$?
    1201512085   cat out/conftest.err >&5
    12016    echo "$as_me:12016: \$? = $ac_status" >&5
     12086   echo "$as_me:12086: \$? = $ac_status" >&5
    1201712087   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1201812088   then
     
    1358013650   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1358113651   -e 's:$: $lt_compiler_flag:'`
    13582    (eval echo "\"\$as_me:13582: $lt_compile\"" >&5)
     13652   (eval echo "\"\$as_me:13652: $lt_compile\"" >&5)
    1358313653   (eval "$lt_compile" 2>conftest.err)
    1358413654   ac_status=$?
    1358513655   cat conftest.err >&5
    13586    echo "$as_me:13586: \$? = $ac_status" >&5
     13656   echo "$as_me:13656: \$? = $ac_status" >&5
    1358713657   if (exit $ac_status) && test -s "$ac_outfile"; then
    1358813658     # The compiler can only warn and ignore the option if not recognized
     
    1368413754   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1368513755   -e 's:$: $lt_compiler_flag:'`
    13686    (eval echo "\"\$as_me:13686: $lt_compile\"" >&5)
     13756   (eval echo "\"\$as_me:13756: $lt_compile\"" >&5)
    1368713757   (eval "$lt_compile" 2>out/conftest.err)
    1368813758   ac_status=$?
    1368913759   cat out/conftest.err >&5
    13690    echo "$as_me:13690: \$? = $ac_status" >&5
     13760   echo "$as_me:13760: \$? = $ac_status" >&5
    1369113761   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1369213762   then
     
    1589115961   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1589215962   -e 's:$: $lt_compiler_flag:'`
    15893    (eval echo "\"\$as_me:15893: $lt_compile\"" >&5)
     15963   (eval echo "\"\$as_me:15963: $lt_compile\"" >&5)
    1589415964   (eval "$lt_compile" 2>conftest.err)
    1589515965   ac_status=$?
    1589615966   cat conftest.err >&5
    15897    echo "$as_me:15897: \$? = $ac_status" >&5
     15967   echo "$as_me:15967: \$? = $ac_status" >&5
    1589815968   if (exit $ac_status) && test -s "$ac_outfile"; then
    1589915969     # The compiler can only warn and ignore the option if not recognized
     
    1615916229   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1616016230   -e 's:$: $lt_compiler_flag:'`
    16161    (eval echo "\"\$as_me:16161: $lt_compile\"" >&5)
     16231   (eval echo "\"\$as_me:16231: $lt_compile\"" >&5)
    1616216232   (eval "$lt_compile" 2>conftest.err)
    1616316233   ac_status=$?
    1616416234   cat conftest.err >&5
    16165    echo "$as_me:16165: \$? = $ac_status" >&5
     16235   echo "$as_me:16235: \$? = $ac_status" >&5
    1616616236   if (exit $ac_status) && test -s "$ac_outfile"; then
    1616716237     # The compiler can only warn and ignore the option if not recognized
     
    1626316333   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1626416334   -e 's:$: $lt_compiler_flag:'`
    16265    (eval echo "\"\$as_me:16265: $lt_compile\"" >&5)
     16335   (eval echo "\"\$as_me:16335: $lt_compile\"" >&5)
    1626616336   (eval "$lt_compile" 2>out/conftest.err)
    1626716337   ac_status=$?
    1626816338   cat out/conftest.err >&5
    16269    echo "$as_me:16269: \$? = $ac_status" >&5
     16339   echo "$as_me:16339: \$? = $ac_status" >&5
    1627016340   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1627116341   then
     
    1988119951   { (exit 1); exit 1; }; }
    1988219952fi
    19883 if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    19884   { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
    19885 Usually this means the macro was only invoked conditionally." >&5
    19886 echo "$as_me: error: conditional \"COIN_DEBUG\" was never defined.
    19887 Usually this means the macro was only invoked conditionally." >&2;}
    19888    { (exit 1); exit 1; }; }
    19889 fi
    1989019953if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then
    1989119954  { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.
     
    2047720540s,@build_vendor@,$build_vendor,;t t
    2047820541s,@build_os@,$build_os,;t t
    20479 s,@COIN_DEBUG_TRUE@,$COIN_DEBUG_TRUE,;t t
    20480 s,@COIN_DEBUG_FALSE@,$COIN_DEBUG_FALSE,;t t
     20542s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
     20543s,@DBG_FFLAGS@,$DBG_FFLAGS,;t t
     20544s,@OPT_FFLAGS@,$OPT_FFLAGS,;t t
    2048120545s,@F77@,$F77,;t t
    2048220546s,@FFLAGS@,$FFLAGS,;t t
     
    2048520549s,@EXEEXT@,$EXEEXT,;t t
    2048620550s,@OBJEXT@,$OBJEXT,;t t
    20487 s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
    2048820551s,@MPIF77@,$MPIF77,;t t
    2048920552s,@EGREP@,$EGREP,;t t
  • ThirdParty/HSL/trunk/configure.ac

    r73 r93  
    4343
    4444# Check if user wants to produce debugging code
    45 AC_COIN_DEBUG_COMPILE
     45AC_COIN_DEBUG_COMPILE(HSL)
    4646
    4747# Get the name of the Fortran compiler and appropriate compiler options
Note: See TracChangeset for help on using the changeset viewer.